cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/activity" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object_activity": {
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith"
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.create_component_object_activity(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
{
"custom_component_object_activity": {
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
custom_component_object_activity: {
type: 'call',
message: 'Called Acme Pty Ltd about the renewal',
user_name: 'Jane Smith',
},
},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
[
'custom_component_object_activity' => [
'type' => 'call',
'message' => 'Called Acme Pty Ltd about the renewal',
'user_name' => 'Jane Smith',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectActivityEntry;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectActivityEntry> response = client.customComponents().createComponentObjectActivity(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
Map.of(
"custom_component_object_activity", Map.of(
"type", "call",
"message", "Called Acme Pty Ltd about the renewal",
"user_name", "Jane Smith")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.CreateComponentObjectActivityAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
new Dictionary<string, object?>
{
["custom_component_object_activity"] = new Dictionary<string, object?>
{
["type"] = "call",
["message"] = "Called Acme Pty Ltd about the renewal",
["user_name"] = "Jane Smith",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
'custom_component_object_activity': {
'type': 'call',
'message': 'Called Acme Pty Ltd about the renewal',
'user_name': 'Jane Smith',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().CreateComponentObjectActivity(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", map[string]any{
"custom_component_object_activity": map[string]any{
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object_activity": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"type": "<string>",
"message": "<string>",
"user_name": "<string>",
"created_on": "<string>",
"created_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}Custom components
Log an activity on a component object
Logs an activity on a component object and returns it, under custom_component_object_activity.
POST
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
/
activity
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/activity" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object_activity": {
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith"
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.create_component_object_activity(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
{
"custom_component_object_activity": {
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
custom_component_object_activity: {
type: 'call',
message: 'Called Acme Pty Ltd about the renewal',
user_name: 'Jane Smith',
},
},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
[
'custom_component_object_activity' => [
'type' => 'call',
'message' => 'Called Acme Pty Ltd about the renewal',
'user_name' => 'Jane Smith',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectActivityEntry;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectActivityEntry> response = client.customComponents().createComponentObjectActivity(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
Map.of(
"custom_component_object_activity", Map.of(
"type", "call",
"message", "Called Acme Pty Ltd about the renewal",
"user_name", "Jane Smith")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.CreateComponentObjectActivityAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
new Dictionary<string, object?>
{
["custom_component_object_activity"] = new Dictionary<string, object?>
{
["type"] = "call",
["message"] = "Called Acme Pty Ltd about the renewal",
["user_name"] = "Jane Smith",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.createComponentObjectActivity(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
'custom_component_object_activity': {
'type': 'call',
'message': 'Called Acme Pty Ltd about the renewal',
'user_name': 'Jane Smith',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().CreateComponentObjectActivity(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", map[string]any{
"custom_component_object_activity": map[string]any{
"type": "call",
"message": "Called Acme Pty Ltd about the renewal",
"user_name": "Jane Smith",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object_activity": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"type": "<string>",
"message": "<string>",
"user_name": "<string>",
"created_on": "<string>",
"created_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}Adds an entry to the object’s activity log. Send
type, message and user_name under custom_component_object_activity. There is no call to delete an activity; it goes when its object is deleted.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new activity, under custom_component_object_activity.
Show child attributes
Show child attributes